package com.inca.npbusi.credit_cancel;

import com.inca.np.communicate.ClientRequest;
import com.inca.np.communicate.ParamCommand;
import com.inca.np.communicate.StringCommand;
import com.inca.np.gui.control.CFrame;
import com.inca.np.gui.mde.CDetailModel;
import com.inca.np.gui.mde.CMasterModel;
import com.inca.np.util.SendHelper;
import com.inca.npx.mde.CMdeModelAp;
import com.inca.npx.ste.Apinfo;
import java.util.Vector;
import org.apache.log4j.Category;

public class CreditCancel_mde extends CMdeModelAp {
   public Vector<Apinfo> getParamapinfos() {
      Vector var1;
      (var1 = new Vector()).add(new Apinfo("调整项目", ""));
      var1.add(new Apinfo("执行", ""));
      var1.add(new Apinfo("手工确定", ""));
      var1.add(new Apinfo("回退手工确定", ""));
      return var1;
   }

   public CreditCancel_mde(CFrame var1, String var2) {
      super(var1, var2);
      Category.getInstance(CreditCancel_mde.class);
   }

   protected CDetailModel createDetailmodel() {
      return new CreditCancel_detail(this.frame, this);
   }

   protected CMasterModel createMastermodel() {
      return new CreditCancel_master(this.frame, this);
   }

   public String getDetailRelatecolname() {
      return "Creditcanceldocid";
   }

   public String getMasterRelatecolname() {
      return "Creditcanceldocid";
   }

   public String getSaveCommandString() {
      return "sa.CreditCancel.保存";
   }

   protected int on_actionPerformed(String var1) {
      if (var1.equals("手工确定")) {
         if (!"1".equals(this.getApvalue("手工确定"))) {
            this.infoMessage("提示", "你没有此操作权限");
            return -1;
         }

         CreditCancel_mde var2 = this;
         if (this.getMasterModel().getRow() < 0) {
            this.infoMessage("提示信息", "请选择您要选择的单据！");
         } else if (this.getDetailModel().getModifiedDbmodel().getRowCount() <= 0 && this.getMasterModel().getModifiedDbmodel().getRowCount() <= 0) {
            String var3 = "";
            int[] var4 = this.getDetailModel().getTable().getSelectedRows();

            for(int var5 = 0; var5 < var4.length; ++var5) {
               if (!"1".equals(var2.getDetailModel().getItemValue(var4[var5], "usestatus"))) {
                  var2.infoMessage("提示信息", "只有临时的单据才能进行手工确定！");
                  return super.on_actionPerformed(var1);
               }

               var3 = var3 + var2.getDetailModel().getItemValue(var4[var5], "creditcanceldtlid") + ",";
            }

            ParamCommand var10;
            (var10 = new ParamCommand()).addParam("action", "手工确定");
            var10.addParam("creditcanceldocid", var3);
            ClientRequest var7;
            (var7 = new ClientRequest("sa.CreditCancel.后台服务")).addCommand(var10);

            try {
               StringCommand var8;
               if (!(var8 = (StringCommand)SendHelper.sendRequest(var7).commandAt(0)).getString().startsWith("+")) {
                  throw new Exception(var8.getString());
               }

               for(int var9 = 0; var9 < var4.length; ++var9) {
                  var2.getDetailModel().setItemValue(var4[var9], "usestatus", "3");
                  var2.getDetailModel().setdbStatus(var4[var9], 0);
                  var2.getDetailModel().getDBtableModel().getRecordThunk(var4[var9]).setSaveresult(0, "确定成功");
               }

               var2.infoMessage("细单提示", "确定成功");
            } catch (Exception var6) {
               var2.infoMessage("确定失败", var6.getMessage());
            }
         } else {
            this.infoMessage("提示信息", "有数据没有保存，请先保存再手工确定！");
         }
      } else if (var1.equals("回退手工确定")) {
         if (!"1".equals(this.getApvalue("回退手工确定"))) {
            this.infoMessage("提示", "你没有此操作权限");
            return -1;
         }

         this.a();
      }

      return super.on_actionPerformed(var1);
   }

   private void a() {
      if (this.getMasterModel().getRow() < 0) {
         this.infoMessage("提示信息", "请选择您要选择的单据！");
      } else {
         String var1 = "";
         int[] var2 = this.getDetailModel().getTable().getSelectedRows();

         for(int var3 = 0; var3 < var2.length; ++var3) {
            if (!"3".equals(this.getDetailModel().getItemValue(var2[var3], "usestatus"))) {
               this.infoMessage("提示信息", "只有正式的单据才能进行回退手工确定！");
               return;
            }

            var1 = var1 + this.getDetailModel().getItemValue(var2[var3], "creditcanceldtlid") + ",";
         }

         ParamCommand var8;
         (var8 = new ParamCommand()).addParam("action", "回退手工确定");
         var8.addParam("creditcanceldocid", var1);
         ClientRequest var5;
         (var5 = new ClientRequest("sa.CreditCancel.后台服务")).addCommand(var8);

         try {
            StringCommand var6;
            if (!(var6 = (StringCommand)SendHelper.sendRequest(var5).commandAt(0)).getString().startsWith("+")) {
               throw new Exception(var6.getString());
            } else {
               for(int var7 = 0; var7 < var2.length; ++var7) {
                  this.getDetailModel().setItemValue(var2[var7], "usestatus", "1");
                  this.getDetailModel().setdbStatus(var2[var7], 0);
                  this.getDetailModel().getDBtableModel().getRecordThunk(var2[var7]).setSaveresult(0, "回退成功");
               }

               this.infoMessage("细单提示", "回退确定成功");
            }
         } catch (Exception var4) {
            this.infoMessage("回退确定操作失败", var4.getMessage());
         }
      }
   }
}
